%global gitrev 1e18c32

Name:           perl-BSSolv
Version:        0.01
Release:        15.git%{gitrev}%{?dist}
Url:            https://github.com/openSUSE/perl-BSSolv
# Taken from the upstream url from the revision %{gitrev}
Source0:        BSSolv-%{version}-git%{gitrev}.tar.gz
# Align Debian and Arch support to libsolv, bug #1342160
Patch0:         BSSolv-0.01-Align-Debian-and-Arch-support-to-libsolv.patch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  libsolv-devel >= 0.3.0-7
BuildRequires:  libdb4-devel
BuildRequires:  perl
BuildRequires:  perl(strict)
BuildRequires:  expat-devel
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  xz-devel
BuildRequires:  zlib-devel
BuildRequires:  perl(ExtUtils::MakeMaker)
Summary:        A new approach to package dependency solving
License:        GPL or Artistic
Group:          Development/Libraries

%description
Using a Satisfyability Solver to compute package dependencies.

%prep
%setup -c %{name}-%{version}-%{release} -T
tar xvzf %{SOURCE0}
%patch0 -p1

%build
perl Makefile.PL
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT/*

%files
%{perl_vendorarch}/BSSolv.pm
%{perl_vendorarch}/auto/BSSolv
%doc README

%changelog
* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.01-15.git1e18c32
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.01-14.git1e18c32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 07 2016 Petr Pisar <ppisar@redhat.com> - 0.01-13.git1e18c32
- Fix Debian and Arch support alignent to libsolv (bug #1342160)
- Rebuild against libsolv enabled Debian and Arch package format (bug #1342160)

* Mon Jun 06 2016 Petr Pisar <ppisar@redhat.com> - 0.01-12.git1e18c32
- Align Debian and Arch support to libsolv (bug #1342160)

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.01-11.git1e18c32
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.01-10.git1e18c32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-9.git1e18c32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.01-8.git1e18c32
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.01-7.git1e18c32
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-6.git1e18c32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-5.git1e18c32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 27 2014 Josef Stribny <jstribny@redhat.com> 0.01-4.git1e18c32
- Fix license
- Add BR: perl(strict)
- Remove redundant BRs

* Sun Apr 20 2014 Josef Stribny <jstribny@redhat.com> 0.01-3.git1e18c32
- Remove libsolv dep
- use %{?_smp_mflags} macro

* Wed Feb 19 2014 Josef Stribny <jstribny@redhat.com> 0.01-2.git1e18c32
- Clean up the spec file and changelog
- Use tarball for the sources

* Fri Feb 14 2014 Josef Stribny <jstribny@redhat.com> 0.01-1.git1e18c32
- Update to git release 1e18c32
- Fix upstream url
- Add README
- Change versioning to perl-BSSolv itself

